﻿using System;

using DevExpress.XtraEditors;
using DevExpress.XtraTreeList.Columns;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            Node dataSource = new Node(null, null);

            Node node1 = new Node(dataSource, new string[] { "CEO", "High"                                      });
            Node node2 = new Node(node1     , new string[] { "Sales", "Normal"                                  });
            Node node3 = new Node(node2     , new string[] { "Direct vs Online Sales Comparison Report", "High" });
            Node node4 = new Node(node2     , new string[] { "Training Events"                         , "Low"  });
            Node node5 = new Node(dataSource, new string[] { "HR department"                           , "High" });
            Node node6 = new Node(node5     , new string[] { "Update Employee Files with New NDA"      , "High" });

            TreeListColumn nameColumn = new TreeListColumn();

            nameColumn.Caption      = "Name";
            nameColumn.VisibleIndex = 0;

            TreeListColumn rankColumn = new TreeListColumn();

            rankColumn.Caption      = "Rank";
            rankColumn.VisibleIndex = 1;

            this.treeList.Columns.AddRange(new TreeListColumn[] { nameColumn, rankColumn });

            this.treeList.DataSource = dataSource;
        }

        #endregion
    }
}